<template>
  <table v-if="itemtype" role="grid" aria-label="Itemtype informatie">
    <tbody>
    <template v-for="(value, key) in itemtype" :key="key">
      <tr v-if="value !== null">
        <td class="label text-primary" role="rowheader">{{ key.replaceAll("_", " ") }}</td>
        <td v-if="key !== 'enumeration'">{{ value }}</td>
        <td v-else :key="lang_switch">
          <q-expansion-item dense :caption="itemtype.name" class="bg-deep-purple-1">
            <q-item dense v-for="(opt, ind) in get_options(value)" :key="ind">
              {{ opt }}
            </q-item>
          </q-expansion-item>
        </td>
      </tr>
    </template>
    </tbody>
  </table>
</template>

<script>
import SharedMethods from "components/SharedMethods";

export default {
  name: "ItemTypeQuickview",
  created() {
    this.label_nice_role = SharedMethods.label_nice_role
    this.get_label = SharedMethods.get_label
  },
  data() {
    return {lang_switch: undefined}
  },
  props: {
    itemtype: Object
  },
  methods: {
    get_options: function (enumeration) {
      let options = []
      let that = this
      enumeration.forEach(function (option) {
        let option_text = that.get_label(option)
        if (option_text !== option.value) {
          option_text = option_text + " (" + option.value + ")"
        }
        options.push(option_text)
      })
      return options
    }
  },
  watch: {
    "$route.query.lang": function () {
      this.language_switch = this.$route.query.lang
    }
  }
}
</script>

<style scoped lang="scss">
.label {
  font-weight: bold;
  color: #444;
}

td {
  vertical-align: top;
}

</style>

